/* Damir Stijepic						*/
/* Johannes Gutenberg University, Mainz	*/
/* email: mail@damir.stijepic.com		*/
/* June 2019							*/

/* ################################################################################## */
/* ################################################################################## */

							/* MISCELLANEOUS */
					
/* ################################################################################## */
/* ################################################################################## */

/* ---------------------------------------------------------------------------------- */
/* ------------------------------- Miscellaneous ------------------------------------ */
/* ---------------------------------------------------------------------------------- */

#delimit;
clear all;
set scrollbufsize 2048000;
set more off;

/* ---------------------------------------------------------------------------------- */
/* -------------------------------------- END --------------------------------------- */
/* ---------------------------------------------------------------------------------- */

/* ---------------------------------------------------------------------------------- */
/* ---------------------------------   Log File   ----------------------------------- */
/* ---------------------------------------------------------------------------------- */

capture log close damir;	

log using "${MY_OUT_TEXT_PATH}2_sipp_ms_variableselection_log"
	, name(damir) replace text;
 
/* ---------------------------------------------------------------------------------- */
/* -------------------------------------- END --------------------------------------- */
/* ---------------------------------------------------------------------------------- */

/* ################################################################################## */
/* ################################################################################## */

								/* END OF SECTION */
					
/* ################################################################################## */
/* ################################################################################## */

/* ################################################################################## */
/* ################################################################################## */

								/* Variables */
					
/* ################################################################################## */
/* ################################################################################## */

/* ---------------------------------------------------------------------------------- */
/* -----------------------   Variable Selection   ----------------------------------- */
/* ---------------------------------------------------------------------------------- */

local varlist 
swave
srefmon
rhcalmn
rhcalyr
eeducate
edisabl
tfipsst
rmesr
rmwkwjb
/* identifiers */
ssuid
epppnum
lgtkey
/* demographics */
tbyear
esex
erace
ems
rfnkids
/* first job*/
eeno1
estlemp1
tsjdate1
ejbhrs1
eemploc1
tempall1
tempsiz1
eocctim1
eclwrk1
tpmsum1
epayhr1
rpyper1
ejbind1
tjbocc1
ajbocc1
eunion1
ecntrc1
/* second job */
eeno2
estlemp2
tsjdate2
ejbhrs2
eemploc2
tempall2
tempsiz2
eclwrk2
tpmsum2
epayhr2
rpyper2
ejbind2
tjbocc2
ajbocc2
eunion2
ecntrc2
;


use `varlist' using "${MY_OUT_PATH}sipp96l1.dta", clear;

foreach num of numlist 2(1)12 {;

append using "${MY_OUT_PATH}/sipp96l`num'.dta", keep(`varlist');

};

sort ssuid epppnum;

merge m:1 ssuid epppnum using "${MY_OUT_PATH}/sipp96t2.dta", 
keepusing(ecourse1 ecourse2 ecourse3 ecourse4 ecourse5 ecourse6 ecourse7
tlstschl thsyr tlastcol tvocyr tassocyr tbachyr tadvncyr ebrstate)
nogenerate keep(1 3);

compress;
save  "${MY_OUT_PATH}2a_sipp_variableselection_help96.dta", replace;

/* ---------------------------------------------------------------------------------- */
/* -------------------------------------- END --------------------------------------- */
/* ---------------------------------------------------------------------------------- */

/* ---------------------------------------------------------------------------------- */
/* --------------------------   Panel Structure   ----------------------------------- */
/* ---------------------------------------------------------------------------------- */

use  "${MY_OUT_PATH}2a_sipp_variableselection_help96.dta", clear;
erase "${MY_OUT_PATH}2a_sipp_variableselection_help96.dta";

keep if srefmon==4;
rename rhcalyr year;
rename rhcalmn month;
gen period=ym(year,month);
format period %tm;

destring lgtkey, replace;
egen id=group(lgtkey);
sort id period;
xtset id period;

/* ---------------------------------------------------------------------------------- */
/* -------------------------------------- END --------------------------------------- */
/* ---------------------------------------------------------------------------------- */

/* ################################################################################## */
/* ################################################################################## */

								/* END OF SECTION */
					
/* ################################################################################## */
/* ################################################################################## */

/* ################################################################################## */
/* ################################################################################## */

								/* CLOSING FILE */
					
/* ################################################################################## */
/* ################################################################################## */

/* ---------------------------------------------------------------------------------- */
/* ----------------------------------- Save Dataset  -------------------------------- */
/* ---------------------------------------------------------------------------------- */

compress;
save  "${MY_OUT_PATH}2_sipp_ms_variableselection.dta", replace;

/* ---------------------------------------------------------------------------------- */
/* -------------------------------------- END --------------------------------------- */
/* ---------------------------------------------------------------------------------- */

/* ---------------------------------------------------------------------------------- */
/* --------------------------------------- Log  ------------------------------------- */
/* ---------------------------------------------------------------------------------- */

log close damir;

/* ---------------------------------------------------------------------------------- */
/* -------------------------------------- END --------------------------------------- */
/* ---------------------------------------------------------------------------------- */

/* ################################################################################## */
/* ################################################################################## */

								/* END OF SECTION */
					
/* ################################################################################## */
/* ################################################################################## */
